<?php

    $json_file = "./data.json";

	//Nouveau tableau $json :
	$json["id"] = 1234;
	$json["admin"] = true;
	$json["user"]["prenom"] = "Robert";
	$json["user"]["pseudo"] = "Bob";
	$json["user"]["email"] = "bob@server.com";
	
	/*
	*  On encode les données au format JSON
	*  Option 1: JSON_UNESCAPED_UNICODE : retire les antislashs "\" pour la lisibilité
	*  Option 2: JSON_PRETTY_PRINT : Retourne un code sur plusieurs lignes + indentation
	*/
	
	$json_string = json_encode($json, JSON_UNESCAPED_UNICODE|JSON_PRETTY_PRINT);
	
	/* On sauvegarde le fichier et on le charge : */
	if( file_put_contents($json_file, $json_string) ) {
		echo "<pre>";
		print_r( file_get_contents($json_file) );
	}
	
?>